Subject: Re: Initializing and cygwin.bat
From: Sven Köhler <[email-masked]>
To: [email-masked]
Date: Mon, 21 Oct 2002 08:58:17 +0200

> As a new user I wanted to customize cygwin.bat to my system, which
> uses 4dos as the shell and only maintains command.com as an
> antique.  W98 BTW.
> 
> I found that various commands wouldn't work!  The reason was that
> command.com was being called in the .pif file.  I simply changed
> the .pif to specify "%comspec%" in place of
> "c:\windows\command.com".
> 
> Is there any reason setup shouldn't do this in the initial
> creation?  Since the .pif files are of some peculiar structure I
> had to use explorer and the fursluginner mouse to make this
> change.

i don't use the batch-file anymore.
i changed the shortcut to execute bash.exe --login diretly, which avoids 
a stupid question by cmd.exe after bash exists and Ctrl-C was pressed:
   Abort Execution (Y/N)
text may be different in englisch (using german windows)

i don't know, if this work for you, but instead of changing the 
batch-file, you could change /etc/profile which is the first script 
bash.exe executes (when run with the --login paramter)

starting bash without a batch-file also avoids the idle cmd.exe or 
commmand.com process :-)

BTW: why is cygwin installed with that batch-file, and why doesn't the 
setup create shortcuts to the command "bash.exe --login" but to cygwin.bat?
Has this been done for some reason?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/